org.apache.ignite.internal.managers.communication

## Interface GridLifecycleAwareMessageFilter<K,V>

All Superinterfaces:
  IgniteBiPredicate<K,V>, Serializable

    public interface GridLifecycleAwareMessageFilter<K,V>
    extends IgniteBiPredicate<K,V>

Special version of bi-predicate for messaging with initialize/close callbacks.

### Method Summary

Methods
`void` `close()` Closes the filter.
`void` `initialize(GridKernalContext ctx)` Initializes the filter.

### Methods inherited from interface org.apache.ignite.lang.IgniteBiPredicate

`apply`

### Method Detail

#### initialize

    void initialize(GridKernalContext ctx)

Initializes the filter.

Parameters:
  `ctx` - Kernal context.

#### close

    void close()

Closes the filter.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015